import { Ops } from './const.js';
import fetch from 'node-fetch';
import WebSocket from 'ws';
export declare const HOST = "https://bddx-api.azurewebsites.net/graphql";
export declare const HEADERS: {};
export declare const apiSubscription: (options: chainOptions) => (query: string) => {
    ws: WebSocket;
    on: (e: (args: any) => void) => void;
    off: (e: (args: any) => void) => void;
    error: (e: (args: any) => void) => void;
    open: (e: () => void) => void;
};
export declare const apiFetch: (options: [url: import("node-fetch").RequestInfo, init?: import("node-fetch").RequestInit | undefined]) => (query: string, variables?: Record<string, unknown>) => Promise<Record<string, any> | undefined>;
export declare const InternalsBuildQuery: ({ ops, props, returns, options, scalars, }: {
    props: AllTypesPropsType;
    returns: ReturnTypesType;
    ops: Operations;
    options?: OperationOptions | undefined;
    scalars?: ScalarDefinition | undefined;
}) => (k: string, o: InputValueType | VType, p?: string, root?: boolean, vars?: Array<{
    name: string;
    graphQLType: string;
}>) => string;
export declare const Thunder: (fn: FetchFunction) => <O extends "query" | "mutation", SCLR extends ScalarDefinition, R extends keyof ValueTypes = GenericOperation<O>>(operation: O, graphqlOptions?: ThunderGraphQLOptions<SCLR> | undefined) => <Z extends ValueTypes[R]>(o: Z | ValueTypes[R], ops?: OperationOptions & {
    variables?: Record<string, unknown>;
}) => Promise<InputType<GraphQLTypes[R], Z, SCLR>>;
export declare const Chain: (...options: chainOptions) => <O extends "query" | "mutation", SCLR extends ScalarDefinition, R extends keyof ValueTypes = GenericOperation<O>>(operation: O, graphqlOptions?: ThunderGraphQLOptions<SCLR> | undefined) => <Z extends ValueTypes[R]>(o: Z | ValueTypes[R], ops?: OperationOptions & {
    variables?: Record<string, unknown>;
}) => Promise<InputType<GraphQLTypes[R], Z, SCLR>>;
export declare const SubscriptionThunder: (fn: SubscriptionFunction) => <O extends "query" | "mutation", SCLR extends ScalarDefinition, R extends keyof ValueTypes = GenericOperation<O>>(operation: O, graphqlOptions?: ThunderGraphQLOptions<SCLR> | undefined) => <Z extends ValueTypes[R]>(o: Z | ValueTypes[R], ops?: (OperationOptions & {
    variables?: ExtractVariables<Z> | undefined;
}) | undefined) => SubscriptionToGraphQL<Z, GraphQLTypes[R], SCLR>;
export declare const Subscription: (...options: chainOptions) => <O extends "query" | "mutation", SCLR extends ScalarDefinition, R extends keyof ValueTypes = GenericOperation<O>>(operation: O, graphqlOptions?: ThunderGraphQLOptions<SCLR> | undefined) => <Z extends ValueTypes[R]>(o: Z | ValueTypes[R], ops?: (OperationOptions & {
    variables?: ExtractVariables<Z> | undefined;
}) | undefined) => SubscriptionToGraphQL<Z, GraphQLTypes[R], SCLR>;
export declare const Zeus: <Z extends ValueTypes[R], O extends "query" | "mutation", R extends keyof ValueTypes = GenericOperation<O>>(operation: O, o: Z | ValueTypes[R], ops?: {
    operationOptions?: OperationOptions;
    scalars?: ScalarDefinition;
}) => string;
export declare const ZeusSelect: <T>() => SelectionFunction<T>;
export declare const Selector: <T extends keyof ValueTypes>(key: T) => SelectionFunction<ValueTypes[T]>;
export declare const TypeFromSelector: <T extends keyof ValueTypes>(key: T) => SelectionFunction<ValueTypes[T]>;
export declare const Gql: <O extends "query" | "mutation", SCLR extends ScalarDefinition, R extends keyof ValueTypes = GenericOperation<O>>(operation: O, graphqlOptions?: ThunderGraphQLOptions<SCLR> | undefined) => <Z extends ValueTypes[R]>(o: Z | ValueTypes[R], ops?: OperationOptions & {
    variables?: Record<string, unknown>;
}) => Promise<InputType<GraphQLTypes[R], Z, SCLR>>;
export declare const ZeusScalars: SelectionFunction<ScalarCoders>;
export declare const decodeScalarsInResponse: <O extends Operations>({ response, scalars, returns, ops, initialZeusQuery, initialOp, }: {
    ops: O;
    response: any;
    returns: ReturnTypesType;
    scalars?: Record<string, ScalarResolver | undefined> | undefined;
    initialOp: keyof O;
    initialZeusQuery: InputValueType | VType;
}) => any;
export declare const traverseResponse: ({ resolvers, scalarPaths, }: {
    scalarPaths: {
        [x: string]: `scalar.${string}`;
    };
    resolvers: {
        [x: string]: ScalarResolver | undefined;
    };
}) => (k: string, o: InputValueType | VType, p?: string[]) => unknown;
export declare type AllTypesPropsType = {
    [x: string]: undefined | `scalar.${string}` | 'enum' | {
        [x: string]: undefined | string | {
            [x: string]: string | undefined;
        };
    };
};
export declare type ReturnTypesType = {
    [x: string]: {
        [x: string]: string | undefined;
    } | `scalar.${string}` | undefined;
};
export declare type InputValueType = {
    [x: string]: undefined | boolean | string | number | [any, undefined | boolean | InputValueType] | InputValueType;
};
export declare type VType = undefined | boolean | string | number | [any, undefined | boolean | InputValueType] | InputValueType;
export declare type PlainType = boolean | number | string | null | undefined;
export declare type ZeusArgsType = PlainType | {
    [x: string]: ZeusArgsType;
} | Array<ZeusArgsType>;
export declare type Operations = Record<string, string>;
export declare type VariableDefinition = {
    [x: string]: unknown;
};
export declare const SEPARATOR = "|";
export declare type fetchOptions = Parameters<typeof fetch>;
declare type websocketOptions = typeof WebSocket extends new (...args: infer R) => WebSocket ? R : never;
export declare type chainOptions = [fetchOptions[0], fetchOptions[1] & {
    websocket?: websocketOptions;
}] | [fetchOptions[0]];
export declare type FetchFunction = (query: string, variables?: Record<string, unknown>) => Promise<any>;
export declare type SubscriptionFunction = (query: string) => any;
declare type NotUndefined<T> = T extends undefined ? never : T;
export declare type ResolverType<F> = NotUndefined<F extends [infer ARGS, any] ? ARGS : undefined>;
export declare type OperationOptions = {
    operationName?: string;
};
export declare type ScalarCoder = Record<string, (s: unknown) => string>;
export interface GraphQLResponse {
    data?: Record<string, any>;
    errors?: Array<{
        message: string;
    }>;
}
export declare class GraphQLError extends Error {
    response: GraphQLResponse;
    constructor(response: GraphQLResponse);
    toString(): string;
}
export declare type GenericOperation<O> = O extends keyof typeof Ops ? typeof Ops[O] : never;
export declare type ThunderGraphQLOptions<SCLR extends ScalarDefinition> = {
    scalars?: SCLR | ScalarCoders;
};
export declare const PrepareScalarPaths: ({ ops, returns }: {
    returns: ReturnTypesType;
    ops: Operations;
}) => (k: string, originalKey: string, o: InputValueType | VType, p?: string[], pOriginals?: string[], root?: boolean) => {
    [x: string]: `scalar.${string}`;
} | undefined;
export declare const purifyGraphQLKey: (k: string) => string;
export declare const ResolveFromPath: (props: AllTypesPropsType, returns: ReturnTypesType, ops: Operations) => (path: string) => 'enum' | 'not' | `scalar.${string}`;
export declare const InternalArgsBuilt: ({ props, ops, returns, scalars, vars, }: {
    props: AllTypesPropsType;
    returns: ReturnTypesType;
    ops: Operations;
    scalars?: ScalarDefinition | undefined;
    vars: Array<{
        name: string;
        graphQLType: string;
    }>;
}) => (a: ZeusArgsType, p?: string, root?: boolean) => string;
export declare const resolverFor: <X, T extends keyof ResolverInputTypes, Z extends keyof ResolverInputTypes[T]>(type: T, field: Z, fn: (args: Required<ResolverInputTypes[T]>[Z] extends [infer Input, any] ? Input : any, source: any) => Z extends keyof ModelTypes[T] ? X | ModelTypes[T][Z] | Promise<ModelTypes[T][Z]> : any) => (args?: any, source?: any) => any;
export declare type UnwrapPromise<T> = T extends Promise<infer R> ? R : T;
export declare type ZeusState<T extends (...args: any[]) => Promise<any>> = NonNullable<UnwrapPromise<ReturnType<T>>>;
export declare type ZeusHook<T extends (...args: any[]) => Record<string, (...args: any[]) => Promise<any>>, N extends keyof ReturnType<T>> = ZeusState<ReturnType<T>[N]>;
export declare type WithTypeNameValue<T> = T & {
    __typename?: boolean;
    __directives?: string;
};
export declare type AliasType<T> = WithTypeNameValue<T> & {
    __alias?: Record<string, WithTypeNameValue<T>>;
};
declare type DeepAnify<T> = {
    [P in keyof T]?: any;
};
declare type IsPayLoad<T> = T extends [any, infer PayLoad] ? PayLoad : T;
export declare type ScalarDefinition = Record<string, ScalarResolver>;
declare type IsScalar<S, SCLR extends ScalarDefinition> = S extends 'scalar' & {
    name: infer T;
} ? T extends keyof SCLR ? SCLR[T]['decode'] extends (s: unknown) => unknown ? ReturnType<SCLR[T]['decode']> : unknown : unknown : S;
declare type IsArray<T, U, SCLR extends ScalarDefinition> = T extends Array<infer R> ? InputType<R, U, SCLR>[] : InputType<T, U, SCLR>;
declare type FlattenArray<T> = T extends Array<infer R> ? R : T;
declare type BaseZeusResolver = boolean | 1 | string | Variable<any, string>;
declare type IsInterfaced<SRC extends DeepAnify<DST>, DST, SCLR extends ScalarDefinition> = FlattenArray<SRC> extends ZEUS_INTERFACES | ZEUS_UNIONS ? {
    [P in keyof SRC]: SRC[P] extends '__union' & infer R ? P extends keyof DST ? IsArray<R, '__typename' extends keyof DST ? DST[P] & {
        __typename: true;
    } : DST[P], SCLR> : IsArray<R, '__typename' extends keyof DST ? {
        __typename: true;
    } : never, SCLR> : never;
}[keyof SRC] & {
    [P in keyof Omit<Pick<SRC, {
        [P in keyof DST]: SRC[P] extends '__union' & infer R ? never : P;
    }[keyof DST]>, '__typename'>]: IsPayLoad<DST[P]> extends BaseZeusResolver ? IsScalar<SRC[P], SCLR> : IsArray<SRC[P], DST[P], SCLR>;
} : {
    [P in keyof Pick<SRC, keyof DST>]: IsPayLoad<DST[P]> extends BaseZeusResolver ? IsScalar<SRC[P], SCLR> : IsArray<SRC[P], DST[P], SCLR>;
};
export declare type MapType<SRC, DST, SCLR extends ScalarDefinition> = SRC extends DeepAnify<DST> ? IsInterfaced<SRC, DST, SCLR> : never;
export declare type InputType<SRC, DST, SCLR extends ScalarDefinition = {}> = IsPayLoad<DST> extends {
    __alias: infer R;
} ? {
    [P in keyof R]: MapType<SRC, R[P], SCLR>[keyof MapType<SRC, R[P], SCLR>];
} & MapType<SRC, Omit<IsPayLoad<DST>, '__alias'>, SCLR> : MapType<SRC, IsPayLoad<DST>, SCLR>;
export declare type SubscriptionToGraphQL<Z, T, SCLR extends ScalarDefinition> = {
    ws: WebSocket;
    on: (fn: (args: InputType<T, Z, SCLR>) => void) => void;
    off: (fn: (e: {
        data?: InputType<T, Z, SCLR>;
        code?: number;
        reason?: string;
        message?: string;
    }) => void) => void;
    error: (fn: (e: {
        data?: InputType<T, Z, SCLR>;
        errors?: string[];
    }) => void) => void;
    open: () => void;
};
export declare type FromSelector<SELECTOR, NAME extends keyof GraphQLTypes, SCLR extends ScalarDefinition = {}> = InputType<GraphQLTypes[NAME], SELECTOR, SCLR>;
export declare type ScalarResolver = {
    encode?: (s: unknown) => string;
    decode?: (s: unknown) => unknown;
};
export declare type SelectionFunction<V> = <T>(t: T | V) => T;
declare type BuiltInVariableTypes = {
    ['String']: string;
    ['Int']: number;
    ['Float']: number;
    ['ID']: unknown;
    ['Boolean']: boolean;
};
declare type AllVariableTypes = keyof BuiltInVariableTypes | keyof ZEUS_VARIABLES;
declare type VariableRequired<T extends string> = `${T}!` | T | `[${T}]` | `[${T}]!` | `[${T}!]` | `[${T}!]!`;
declare type VR<T extends string> = VariableRequired<VariableRequired<T>>;
export declare type GraphQLVariableType = VR<AllVariableTypes>;
declare type ExtractVariableTypeString<T extends string> = T extends VR<infer R1> ? R1 extends VR<infer R2> ? R2 extends VR<infer R3> ? R3 extends VR<infer R4> ? R4 extends VR<infer R5> ? R5 : R4 : R3 : R2 : R1 : T;
declare type DecomposeType<T, Type> = T extends `[${infer R}]` ? Array<DecomposeType<R, Type>> | undefined : T extends `${infer R}!` ? NonNullable<DecomposeType<R, Type>> : Type | undefined;
declare type ExtractTypeFromGraphQLType<T extends string> = T extends keyof ZEUS_VARIABLES ? ZEUS_VARIABLES[T] : T extends keyof BuiltInVariableTypes ? BuiltInVariableTypes[T] : any;
export declare type GetVariableType<T extends string> = DecomposeType<T, ExtractTypeFromGraphQLType<ExtractVariableTypeString<T>>>;
declare type UndefinedKeys<T> = {
    [K in keyof T]-?: T[K] extends NonNullable<T[K]> ? never : K;
}[keyof T];
declare type WithNullableKeys<T> = Pick<T, UndefinedKeys<T>>;
declare type WithNonNullableKeys<T> = Omit<T, UndefinedKeys<T>>;
declare type OptionalKeys<T> = {
    [P in keyof T]?: T[P];
};
export declare type WithOptionalNullables<T> = OptionalKeys<WithNullableKeys<T>> & WithNonNullableKeys<T>;
export declare type Variable<T extends GraphQLVariableType, Name extends string> = {
    ' __zeus_name': Name;
    ' __zeus_type': T;
};
export declare type ExtractVariables<Query> = Query extends Variable<infer VType, infer VName> ? {
    [key in VName]: GetVariableType<VType>;
} : Query extends [infer Inputs, infer Outputs] ? ExtractVariables<Inputs> & ExtractVariables<Outputs> : Query extends string | number | boolean ? {} : UnionToIntersection<{
    [K in keyof Query]: WithOptionalNullables<ExtractVariables<Query[K]>>;
}[keyof Query]>;
declare type UnionToIntersection<U> = (U extends any ? (k: U) => void : never) extends (k: infer I) => void ? I : never;
export declare const START_VAR_NAME = "$ZEUS_VAR";
export declare const GRAPHQL_TYPE_SEPARATOR = "__$GRAPHQL__";
export declare const $: <Type extends GraphQLVariableType, Name extends string>(name: Name, graphqlType: Type) => Variable<Type, Name>;
declare type ZEUS_INTERFACES = never;
export declare type ScalarCoders = {};
declare type ZEUS_UNIONS = never;
export declare type ValueTypes = {
    ["UpdateProjectInput"]: {
        name?: string | undefined | null | Variable<any, string>;
    };
    ["TestResultInput"]: {
        testContent: string | Variable<any, string>;
        reasonOfFail?: string | undefined | null | Variable<any, string>;
        feature?: string | undefined | null | Variable<any, string>;
        testPath: string | Variable<any, string>;
    };
    ["LoginInput"]: {
        username: string | Variable<any, string>;
        password: string | Variable<any, string>;
    };
    ["Query"]: AliasType<{
        admin?: ValueTypes["AdminQuery"];
        __typename?: boolean | `@${string}`;
    }>;
    ["Mutation"]: AliasType<{
        admin?: ValueTypes["AdminMutation"];
        cli?: ValueTypes["CLIMutation"];
        login?: [{
            user: ValueTypes["LoginInput"] | Variable<any, string>;
        }, boolean | `@${string}`];
        register?: [{
            user: ValueTypes["RegisterInput"] | Variable<any, string>;
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
    ["RegisterInput"]: {
        username: string | Variable<any, string>;
        password: string | Variable<any, string>;
    };
    ["User"]: AliasType<{
        username?: boolean | `@${string}`;
        __typename?: boolean | `@${string}`;
    }>;
    ["DateInput"]: {
        to?: string | undefined | null | Variable<any, string>;
        from: string | Variable<any, string>;
    };
    ["TestResult"]: AliasType<{
        feature?: boolean | `@${string}`;
        reasonOfFail?: boolean | `@${string}`;
        testContent?: boolean | `@${string}`;
        testPath?: boolean | `@${string}`;
        __typename?: boolean | `@${string}`;
    }>;
    ["ProjectInput"]: {
        name: string | Variable<any, string>;
    };
    ["UploadReportInput"]: {
        results: Array<ValueTypes["TestResultInput"]> | Variable<any, string>;
    };
    ["AdminQuery"]: AliasType<{
        me?: ValueTypes["User"];
        projects?: ValueTypes["Project"];
        __typename?: boolean | `@${string}`;
    }>;
    ["ProjectMutation"]: AliasType<{
        createKey?: boolean | `@${string}`;
        deleteKey?: [{
            key: string | Variable<any, string>;
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
    ["CLIMutation"]: AliasType<{
        uploadReport?: [{
            uploadReportInput: ValueTypes["UploadReportInput"] | Variable<any, string>;
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
    ["Project"]: AliasType<{
        _id?: boolean | `@${string}`;
        keys?: boolean | `@${string}`;
        name?: boolean | `@${string}`;
        reports?: [{
            filterDate: ValueTypes["DateInput"] | Variable<any, string>;
        }, ValueTypes["TestReport"]];
        __typename?: boolean | `@${string}`;
    }>;
    ["TestReport"]: AliasType<{
        _id?: boolean | `@${string}`;
        createdAt?: boolean | `@${string}`;
        project?: ValueTypes["Project"];
        results?: ValueTypes["TestResult"];
        __typename?: boolean | `@${string}`;
    }>;
    ["AdminMutation"]: AliasType<{
        createProject?: [{
            projectInput: ValueTypes["ProjectInput"] | Variable<any, string>;
        }, boolean | `@${string}`];
        deleteProject?: [{
            _id: string | Variable<any, string>;
        }, boolean | `@${string}`];
        project?: [{
            _id: string | Variable<any, string>;
        }, ValueTypes["ProjectMutation"]];
        updateProject?: [{
            _id: string | Variable<any, string>;
            updateProjectInput: ValueTypes["UpdateProjectInput"] | Variable<any, string>;
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
};
export declare type ResolverInputTypes = {
    ["UpdateProjectInput"]: {
        name?: string | undefined | null;
    };
    ["TestResultInput"]: {
        testContent: string;
        reasonOfFail?: string | undefined | null;
        feature?: string | undefined | null;
        testPath: string;
    };
    ["LoginInput"]: {
        username: string;
        password: string;
    };
    ["Query"]: AliasType<{
        admin?: ResolverInputTypes["AdminQuery"];
        __typename?: boolean | `@${string}`;
    }>;
    ["Mutation"]: AliasType<{
        admin?: ResolverInputTypes["AdminMutation"];
        cli?: ResolverInputTypes["CLIMutation"];
        login?: [{
            user: ResolverInputTypes["LoginInput"];
        }, boolean | `@${string}`];
        register?: [{
            user: ResolverInputTypes["RegisterInput"];
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
    ["RegisterInput"]: {
        username: string;
        password: string;
    };
    ["User"]: AliasType<{
        username?: boolean | `@${string}`;
        __typename?: boolean | `@${string}`;
    }>;
    ["DateInput"]: {
        to?: string | undefined | null;
        from: string;
    };
    ["TestResult"]: AliasType<{
        feature?: boolean | `@${string}`;
        reasonOfFail?: boolean | `@${string}`;
        testContent?: boolean | `@${string}`;
        testPath?: boolean | `@${string}`;
        __typename?: boolean | `@${string}`;
    }>;
    ["ProjectInput"]: {
        name: string;
    };
    ["UploadReportInput"]: {
        results: Array<ResolverInputTypes["TestResultInput"]>;
    };
    ["AdminQuery"]: AliasType<{
        me?: ResolverInputTypes["User"];
        projects?: ResolverInputTypes["Project"];
        __typename?: boolean | `@${string}`;
    }>;
    ["ProjectMutation"]: AliasType<{
        createKey?: boolean | `@${string}`;
        deleteKey?: [{
            key: string;
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
    ["CLIMutation"]: AliasType<{
        uploadReport?: [{
            uploadReportInput: ResolverInputTypes["UploadReportInput"];
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
    ["Project"]: AliasType<{
        _id?: boolean | `@${string}`;
        keys?: boolean | `@${string}`;
        name?: boolean | `@${string}`;
        reports?: [{
            filterDate: ResolverInputTypes["DateInput"];
        }, ResolverInputTypes["TestReport"]];
        __typename?: boolean | `@${string}`;
    }>;
    ["TestReport"]: AliasType<{
        _id?: boolean | `@${string}`;
        createdAt?: boolean | `@${string}`;
        project?: ResolverInputTypes["Project"];
        results?: ResolverInputTypes["TestResult"];
        __typename?: boolean | `@${string}`;
    }>;
    ["AdminMutation"]: AliasType<{
        createProject?: [{
            projectInput: ResolverInputTypes["ProjectInput"];
        }, boolean | `@${string}`];
        deleteProject?: [{
            _id: string;
        }, boolean | `@${string}`];
        project?: [{
            _id: string;
        }, ResolverInputTypes["ProjectMutation"]];
        updateProject?: [{
            _id: string;
            updateProjectInput: ResolverInputTypes["UpdateProjectInput"];
        }, boolean | `@${string}`];
        __typename?: boolean | `@${string}`;
    }>;
};
export declare type ModelTypes = {
    ["UpdateProjectInput"]: {
        name?: string | undefined;
    };
    ["TestResultInput"]: {
        testContent: string;
        reasonOfFail?: string | undefined;
        feature?: string | undefined;
        testPath: string;
    };
    ["LoginInput"]: {
        username: string;
        password: string;
    };
    ["Query"]: {
        admin?: ModelTypes["AdminQuery"] | undefined;
    };
    ["Mutation"]: {
        admin?: ModelTypes["AdminMutation"] | undefined;
        cli?: ModelTypes["CLIMutation"] | undefined;
        login?: string | undefined;
        register?: boolean | undefined;
    };
    ["RegisterInput"]: {
        username: string;
        password: string;
    };
    ["User"]: {
        username: string;
    };
    ["DateInput"]: {
        to?: string | undefined;
        from: string;
    };
    ["TestResult"]: {
        feature?: string | undefined;
        reasonOfFail?: string | undefined;
        testContent: string;
        testPath: string;
    };
    ["ProjectInput"]: {
        name: string;
    };
    ["UploadReportInput"]: {
        results: Array<ModelTypes["TestResultInput"]>;
    };
    ["AdminQuery"]: {
        me: ModelTypes["User"];
        projects: Array<ModelTypes["Project"]>;
    };
    ["ProjectMutation"]: {
        createKey?: string | undefined;
        deleteKey?: boolean | undefined;
    };
    ["CLIMutation"]: {
        uploadReport?: string | undefined;
    };
    ["Project"]: {
        _id: string;
        keys?: Array<string> | undefined;
        name: string;
        reports?: Array<ModelTypes["TestReport"]> | undefined;
    };
    ["TestReport"]: {
        _id: string;
        createdAt: string;
        project: ModelTypes["Project"];
        results: Array<ModelTypes["TestResult"]>;
    };
    ["AdminMutation"]: {
        createProject?: string | undefined;
        deleteProject?: boolean | undefined;
        project?: ModelTypes["ProjectMutation"] | undefined;
        updateProject?: boolean | undefined;
    };
};
export declare type GraphQLTypes = {
    ["UpdateProjectInput"]: {
        name?: string | undefined;
    };
    ["TestResultInput"]: {
        testContent: string;
        reasonOfFail?: string | undefined;
        feature?: string | undefined;
        testPath: string;
    };
    ["LoginInput"]: {
        username: string;
        password: string;
    };
    ["Query"]: {
        __typename: "Query";
        admin?: GraphQLTypes["AdminQuery"] | undefined;
    };
    ["Mutation"]: {
        __typename: "Mutation";
        admin?: GraphQLTypes["AdminMutation"] | undefined;
        cli?: GraphQLTypes["CLIMutation"] | undefined;
        login?: string | undefined;
        register?: boolean | undefined;
    };
    ["RegisterInput"]: {
        username: string;
        password: string;
    };
    ["User"]: {
        __typename: "User";
        username: string;
    };
    ["DateInput"]: {
        to?: string | undefined;
        from: string;
    };
    ["TestResult"]: {
        __typename: "TestResult";
        feature?: string | undefined;
        reasonOfFail?: string | undefined;
        testContent: string;
        testPath: string;
    };
    ["ProjectInput"]: {
        name: string;
    };
    ["UploadReportInput"]: {
        results: Array<GraphQLTypes["TestResultInput"]>;
    };
    ["AdminQuery"]: {
        __typename: "AdminQuery";
        me: GraphQLTypes["User"];
        projects: Array<GraphQLTypes["Project"]>;
    };
    ["ProjectMutation"]: {
        __typename: "ProjectMutation";
        createKey?: string | undefined;
        deleteKey?: boolean | undefined;
    };
    ["CLIMutation"]: {
        __typename: "CLIMutation";
        uploadReport?: string | undefined;
    };
    ["Project"]: {
        __typename: "Project";
        _id: string;
        keys?: Array<string> | undefined;
        name: string;
        reports?: Array<GraphQLTypes["TestReport"]> | undefined;
    };
    ["TestReport"]: {
        __typename: "TestReport";
        _id: string;
        createdAt: string;
        project: GraphQLTypes["Project"];
        results: Array<GraphQLTypes["TestResult"]>;
    };
    ["AdminMutation"]: {
        __typename: "AdminMutation";
        createProject?: string | undefined;
        deleteProject?: boolean | undefined;
        project?: GraphQLTypes["ProjectMutation"] | undefined;
        updateProject?: boolean | undefined;
    };
};
declare type ZEUS_VARIABLES = {
    ["UpdateProjectInput"]: ValueTypes["UpdateProjectInput"];
    ["TestResultInput"]: ValueTypes["TestResultInput"];
    ["LoginInput"]: ValueTypes["LoginInput"];
    ["RegisterInput"]: ValueTypes["RegisterInput"];
    ["DateInput"]: ValueTypes["DateInput"];
    ["ProjectInput"]: ValueTypes["ProjectInput"];
    ["UploadReportInput"]: ValueTypes["UploadReportInput"];
};
export {};
